Package org.eclipse.birt.report.model.api.elements.structures

# Class ScriptLib

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.ScriptLib

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class ScriptLib extends org.eclipse.birt.report.model.core.Structure
Represents a jar file used for script handle event. Each jar file has the following properties:

name
  name of jar file.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`name`
value of jar file's name.
`static final String`
`SCRIPTLIB_NAME_MEMBER`
Name of jar file.
`static final String`
`STRUCTURE_NAME`
Name of the structure.

## Constructor Summary

Constructors
Constructor
Description
`ScriptLib()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getName()`
Returns jar file name value.
`String`
`getStructName()`
Returns the name of the structure definition.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`void`
`setName(String name)`
Sets the jar file name value.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRUCTURE_NAME

public static final String STRUCTURE_NAME
Name of the structure.

See Also:
  - Constant Field Values

### SCRIPTLIB_NAME_MEMBER

public static final String SCRIPTLIB_NAME_MEMBER
Name of jar file.

See Also:
  - Constant Field Values

### name

protected String name
value of jar file's name.

## Constructor Details

### ScriptLib

public ScriptLib()

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### setName

public void setName(String name)
Sets the jar file name value.

Parameters:
  `name` - the jar file name value to set
Throws:
  `SemanticException`

### getName

public String getName()
Returns jar file name value.

Returns:
  the jar file name value